# KDChartTextAttributes.cpp File Reference

`#include "KDChartTextAttributes.h"`
`#include <QFont>`
`#include <QPen>`
`#include <qglobal.h>`
`#include <QApplication>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartTextAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::TextAttributes &ta)

## Define Documentation

#define d d_func()

| Definition at line 34 of file KDChartTextAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::TextAttributes & | ta
| ) |

Definition at line 233 of file KDChartTextAttributes.cpp.

    00234 {
    00235     dbg << "KDChart::TextAttributes("
    00236         << "visible="<<ta.isVisible()
    00237         << "font="<<ta.font().toString() /* What? No QDebug for QFont? */
    00238         << "fontsize="<<ta.fontSize()
    00239         << "minimalfontsize="<<ta.minimalFontSize()
    00240         << "autorotate="<<ta.autoRotate()
    00241         << "autoshrink="<<ta.autoShrink()
    00242         << "rotation="<<ta.rotation()
    00243         << "pen="<<ta.pen()
    00244         << ")";
    00245     return dbg;
    00246 }